
package com.sun.ts.tests.jsf.api.javax_faces.event.common;

import javax.faces.event.AbortProcessingException;
import javax.faces.event.ComponentSystemEvent;
import javax.faces.event.ComponentSystemEventListener;

public class TCKComponentSystemEventListener implements
	ComponentSystemEventListener {

    private String action = null;

    @Override
    public void processEvent(ComponentSystemEvent event)
	    throws AbortProcessingException {
	       action = "success";
	        System.out.println("Processed Action");
	
    }
    
    public String getActionString() {
        return action;
    }

}
